#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_without	tests	# unit tests

%define		module	josepy
Summary:	JOSE protocol implementation
Summary(pl.UTF-8):	Implementacja protokołu JOSE
Name:		python3-%{module}
Version:	2.0.0
Release:	1
License:	Apache v2.0
Group:		Development/Languages/Python
Source0:	https://files.pythonhosted.org/packages/source/j/josepy/josepy-%{version}.tar.gz
# Source0-md5:	dd79ee5377afe136643fc6f7cda6e5f8
URL:		https://josepy.readthedocs.io/en/latest/
BuildRequires:	python3-build
BuildRequires:	python3-devel >= 1:3.6
BuildRequires:	python3-installer
%if %{with tests}
BuildRequires:	python3-cryptography >= 1.5
BuildRequires:	python3-pyOpenSSL >= 0.13
BuildRequires:	python3-pytest >= 2.8.0
BuildRequires:	python3-pytest-cov
BuildRequires:	python3-pytest-flake8 >= 0.5
%endif
%if %{with doc}
BuildRequires:	python3-Sphinx >= 1.0
BuildRequires:	python3-cryptography >= 1.5
BuildRequires:	python3-pyOpenSSL >= 0.13
BuildRequires:	python3-sphinx_rtd_theme >= 1.0
%endif
Conflicts:	python-josepy < 1.13.0-2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides JOSE protocol implementation.

%description -l pl.UTF-8
Ten pakiet zawiera implementację protokołu JOSE.

%package apidocs
Summary:	API documentation for josepy module
Summary(pl.UTF-8):	Dokumentacja API modułu josepy
Group:		Documentation

%description apidocs
API documentation for josepy module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu josepy.

%prep
%setup -q -n %{module}-%{version}

%build
%py3_build_pyproject

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTEST_PLUGINS="pytest_cov.plugin,pytest_flake8" \
PYTHONPATH=$(pwd)/src \
%{__python3} -m pytest tests
%endif

%if %{with doc}
PYTHONPATH=$(pwd)/src \
%{__make} -C docs html \
	SPHINXBUILD="%{__python3} -m sphinx"
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install_pyproject

%{__mv} $RPM_BUILD_ROOT%{_bindir}/jws{,-3}
ln -sf jws-3 $RPM_BUILD_ROOT%{_bindir}/jws

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG.rst README.rst
%attr(755,root,root) %{_bindir}/jws
%attr(755,root,root) %{_bindir}/jws-3
%{py3_sitescriptdir}/josepy
%{py3_sitescriptdir}/josepy-%{version}.dist-info

%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/{_static,api,man,*.html,*.js}
%changelog
* Wed Apr 30 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-josepy.git;a=log;h=auto/th/python3-josepy-2.0.0-1

* Wed Apr 30 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 7608db0
- Up to 2.0.0

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 8ad628c
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 3884a95
- python 3.13 rebuild

* Wed Jan 25 2023 Jakub Bogusz <qboosh@pld-linux.org> f4479cc
- use also pytest-flake8

* Wed Jan 25 2023 Jakub Bogusz <qboosh@pld-linux.org> 62d847d
- josepy 1.13 requires python 3.6+, so moved to python3-josepy.spec; added tests and apidocs

* Sat May 21 2022 Jan Rękorajski <baggins@pld-linux.org> 2e5edbe
- up to 1.13.0

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 6f4b8ee
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 3bfd716
- Release 4 (by relup.sh)

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 8c665b8
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> bd4a065
- rebuild with python 3.10

* Wed Oct 13 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> f7b1654
- Up to 1.10.0

* Fri Mar 05 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> 9880b58
- rel 5; it's noarch package

* Fri Mar 05 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> 94c9fe5
- release 4 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 327fa6c
- rebuild with python 3.8
- release 3 (by relup.sh)

* Mon Jul 02 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 8d7743a
- release 2 (by relup.sh)

* Fri May 04 2018 Jacek Konieczny <j.konieczny@eggsoft.pl> 63bd384
- Version: 1.1.0

* Mon Apr 02 2018 Marcin Banasiak <marcin.banasiak@gmail.com> f063457
- Initial release

